#version 400 core

in vec2 textureCoords;

out vec4 color;

uniform sampler2D guiTexture;

uniform float brightness;      // 1.0 = normal
uniform vec3  tintColor;       // (0,0,0) = kein Tint
uniform float tintStrength;    // 0.0 = aus


void main(void) {
    vec4 textureColor  = texture(guiTexture, textureCoords);

    textureColor.rgb *= brightness;

    //Tint (Overlay)
    textureColor.rgb = mix(textureColor.rgb, tintColor, tintStrength);

    color = textureColor;
}